LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
MessageBoxButtons.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::MessageBoxButtons
| defines constants for the possible message box button combinations.

## Variables
const long | BUTTONS_OK = 1
| specifies a message with "OK" button.
const long | BUTTONS_OK_CANCEL = 2
| specifies a message box with "OK" and "CANCEL" button.
const long | BUTTONS_YES_NO = 3
| specifies a message box with "YES" and "NO" button.
const long | BUTTONS_YES_NO_CANCEL = 4
| specifies a message box with "YES", "NO" and "CANCEL" button.
const long | BUTTONS_RETRY_CANCEL = 5
| specifies a message box with "RETRY" and "CANCEL" button.
const long | BUTTONS_ABORT_IGNORE_RETRY = 6
| specifies a message box with "ABORT", "IGNORE" and "RETRY" button.
const long | DEFAULT_BUTTON_OK = 0x10000
| specifies that OK is the default button.
const long | DEFAULT_BUTTON_CANCEL = 0x20000
| specifies that CANCEL is the default button.
const long | DEFAULT_BUTTON_RETRY = 0x30000
| specifies that RETRY is the default button.
const long | DEFAULT_BUTTON_YES = 0x40000
| specifies that YES is the default button.
const long | DEFAULT_BUTTON_NO = 0x50000
| specifies that NO is the default button.
const long | DEFAULT_BUTTON_IGNORE = 0x60000
| specifies that IGNORE is the default button.